Description

Hello all,

I'm facing the same problem as the original poster of an old ticket from 2012 (#5887): QGIS still does not support GetFeatureInfo requests

in any other format than text/plain. This is known and even highlighted in the most recent QGIS documentation (

http://docs.qgis.org/testing/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wms): "Identity Formats — The list of

MIME-types the server can respond with when you use the Identify tool. Currently, QGIS supports the text-plain type." 

This situation is very unfortunate: I would like to make use of several WMS right now which have text/xml as the only allowed request

format. What aperi2007 wrote in the mentioned old ticket ("A server wms always add the text/plain as available format type. So is

impossible to have a server wms with only the text/xml.") is apparently wrong.

I have contacted the persons who run the WMS of interest to ask them if they could be so kind to change their server configuration, but

they are rather pointing back at the software I'm using. So if anyone is able to add a wider range of GetFeatureInfo request formats to the

QGIS desktop software I would be very thankful!

Best regards

Fabian

History

#1 - 2017-01-19 02:25 AM - Jürgen Fischer

QGIS server also does "text/xml", "application/vnd.ogc.gml" and "text/html" (see 

https://github.com/qgis/QGIS/blob/release-2_18/src/server/qgshttprequesthandler.cpp#L332)

#2 - 2017-01-19 02:33 AM - Jürgen Fischer

Sorry, this is about the client - that also support more than "text/plain".   The note in the section "Using the Identify Tool" starts with selecting a format - gml

does even highlight the selected feature.

#3 - 2017-01-19 06:30 AM - Fabian Thalemann

Jürgen Fischer wrote:

Sorry, this is about the client - that also support more than "text/plain".   The note in the section "Using the Identify Tool" starts with selecting a

format - gml does even highlight the selected feature.

Hey Jürgen, thanks for replying. So you are saying that the latest QGIS Desktop client should be able to make WMS requests in other formats than

text/plain? Can you provide a link to the code?

I tried with this WMS (http://tds.webservice-energy.org/thredds/wms/waves/wave_power_maps.nc?version=1.3.0&#38;) which apparently allows text/xml
format only, and all I can say is that the Identify Tool in the QGIS Desktop client is greyed out when I add and select any layer from this WMS.

#4 - 2017-05-01 12:44 AM - Giovanni Manghi

- Easy fix? set to No
